## ros-melodic-moveit-ros-planning-interface 1.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_ros_planning_interface)

if(NOT "${CMAKE_CXX_STANDARD}")
  set(CMAKE_CXX_STANDARD 14)
endif()
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(catkin REQUIRED COMPONENTS
  moveit_msgs
  moveit_ros_planning
  moveit_ros_warehouse
  moveit_ros_manipulation
  moveit_ros_move_group
  geometry_msgs
  tf2
  tf2_eigen
  tf2_geometry_msgs
  tf2_ros
  roscpp
  actionlib
  rospy
  rosconsole
)

find_package(PythonInterp REQUIRED)
find_package(PythonLibs "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}" REQUIRED)

find_package(Boost REQUIRED)
if(Boost_VERSION LESS 106700)
  set(BOOST_PYTHON_COMPONENT python)
else()
  set(BOOST_PYTHON_COMPONENT python${PYTHON_VERSION_MAJOR}${PYTHON_VERSION_MINOR})
endif()

find_package(Boost REQUIRED COMPONENTS
  date_time
  filesystem
  program_options
  ${BOOST_PYTHON_COMPONENT}
  system
  thread
)
find_package(Eigen3 REQUIRED)
find_package(eigenpy REQUIRED)

set(THIS_PACKAGE_INCLUDE_DIRS
  py_bindings_tools/include
  common_planning_interface_objects/include
  planning_scene_interface/include
  move_group_interface/include
  moveit_cpp/include
)

catkin_python_setup()

catkin_package(
  LIBRARIES
    moveit_common_planning_interface_objects
    moveit_planning_scene_interface
    moveit_move_group_interface
    moveit_py_bindings_tools
    moveit_cpp
  INCLUDE_DIRS
    ${THIS_PACKAGE_INCLUDE_DIRS}
  CATKIN_DEPENDS
    actionlib
    geometry_msgs
    moveit_msgs
    moveit_ros_planning
    moveit_ros_warehouse
    moveit_ros_manipulation
    moveit_ros_move_group
    roscpp
    tf2_geometry_msgs
  DEPENDS
    EIGEN3
)

include_directories(${THIS_PACKAGE_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS}
                    ${catkin_INCLUDE_DIRS})

include_directories(SYSTEM
                    ${EIGEN3_INCLUDE_DIRS}
                    ${PYTHON_INCLUDE_DIRS})

add_subdirectory(py_bindings_tools)
add_subdirectory(common_planning_interface_objects)
add_subdirectory(planning_scene_interface)
add_subdirectory(move_group_interface)
add_subdirectory(robot_interface)
add_subdirectory(test)
add_subdirectory(moveit_cpp)

=== moveit_cpp/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_cpp)

add_library(${MOVEIT_LIB_NAME}
  src/moveit_cpp.cpp
  src/planning_component.cpp
  )
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}
  moveit_common_planning_interface_objects
  moveit_planning_scene_interface
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES})
add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})

install(TARGETS ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== test/CMakeLists.txt ===
if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(eigen_conversions REQUIRED)

  add_executable(test_cleanup test_cleanup.cpp)
  target_link_libraries(test_cleanup moveit_move_group_interface)

  add_rostest_gtest(move_group_interface_cpp_test move_group_interface_cpp_test.test move_group_interface_cpp_test.cpp)
  target_link_libraries(move_group_interface_cpp_test moveit_move_group_interface ${catkin_LIBRARIES} ${eigen_conversions_LIBRARIES})

  add_rostest_gtest(moveit_cpp_test moveit_cpp_test.test moveit_cpp_test.cpp)
  target_link_libraries(moveit_cpp_test moveit_cpp ${catkin_LIBRARIES})

  add_rostest(python_move_group.test)
  add_rostest(python_move_group_ns.test)
  add_rostest(robot_state_update.test)
  add_rostest(cleanup.test)

  SET(HELPER_LIB moveit_planning_interface_test_serialize_msg_cpp_helper)
  add_library(${HELPER_LIB} serialize_msg_python_cpp_helpers.cpp)
  set_target_properties(${HELPER_LIB} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
  target_link_libraries(${HELPER_LIB} ${PYTHON_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES} moveit_py_bindings_tools)
  set_target_properties(${HELPER_LIB} PROPERTIES OUTPUT_NAME "_${HELPER_LIB}" PREFIX "")
  set_target_properties(${HELPER_LIB} PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}")
  if(WIN32)
    set_target_properties(${HELPER_LIB} PROPERTIES SUFFIX .pyd)
  endif(WIN32)

  catkin_add_nosetests(serialize_msg.py)
endif()

=== debian/changelog ===
ros-melodic-moveit-ros-planning-interface (1.0.7-1stretch) stretch; urgency=high

  * [feature] Python interface improvements. (#2356 <https://github.com/ros-planning/moveit/issues/2356>)
  * [feature] moveit_cpp: more informative error message, cover another potential failure condition. (#2336 <https://github.com/ros-planning/moveit/issues/2336>)
  * [feature] Unit Test for ByteString-based ROS msg conversion (#2362 <https://github.com/ros-planning/moveit/issues/2362>)
  * [feature] Make GILReleaser exception-safe (#2363 <https://github.com/ros-planning/moveit/issues/2363>)
  * [feature] Added GILRelease to pick and place (#2272 <https://github.com/ros-planning/moveit/issues/2272>)
  * [feature] Add missing variants of place from list of PlaceLocations and Poses in the python interface (#2231 <https://github.com/ros-planning/moveit/issues/2231>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: AndyZe, Bjar Ne, Felix von Drigalski, Gerard Canal, Peter Mitrano, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 20 Nov 2020 07:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.6-1stretch) stretch; urgency=high

  * [maint]   Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint]   Migrate to clang-format-10, Fix warnings
  * [maint]   Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * [feature] Exposed parameter wait_for_servers and getPlannerId() API in MoveGroup's Python API (#2201 <https://github.com/ros-planning/moveit/issues/2201>)
  * Contributors: Gerard Canal, Markus Vieth, Robert Haschke, Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 19 Aug 2020 06:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.5-1stretch) stretch; urgency=high

  * [maint]   Remove dependency on panda_moveit_config (#2194 <https://github.com/ros-planning/moveit/issues/2194>`_, #2197 <https://github.com/ros-planning/moveit/issues/2197>`_)
  * [maint]   Adapt linking to eigenpy (#2118 <https://github.com/ros-planning/moveit/issues/2118>)
  * [maint]   Replace robot_model and robot_state namespaces with moveit::core (#2135 <https://github.com/ros-planning/moveit/issues/2135>)
  * [feature] PlanningComponent: Load plan_request_params (#2033 <https://github.com/ros-planning/moveit/issues/2033>)
  * [feature] MoveItCpp: a high-level C++ planning API (#1656 <https://github.com/ros-planning/moveit/issues/1656>)
  * [fix]     Validate action client pointer before access
  * [fix]     Wait and check for the grasp service
  * [maint]   Add tests for move_group interface (#1995 <https://github.com/ros-planning/moveit/issues/1995>)
  * Contributors: AndyZe, Henning Kayser, Jafar Abdi, Michael Görner, Robert Haschke, Tyler Weaver, Yeshwanth

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 08 Jul 2020 06:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.4-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 30 May 2020 06:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.3-1stretch) stretch; urgency=high

  * [feature] MoveGroupInterface: Add execution methods for moveit_msgs::RobotTrajectory (#1955 <https://github.com/ros-planning/moveit/issues/1955>)
  * [feature] Allow to instantiate a PlanningSceneInterface w/ and w/o a running move_group node
  * [fix]     Release Python GIL for C++ calls (#1947 <https://github.com/ros-planning/moveit/issues/1947>)
  * [feature] Expose reference_point_position parameter in getJacobian() (#1595 <https://github.com/ros-planning/moveit/issues/1595>)
  * [feature] MoveGroupInterface: Expose constructPickGoal and constructPlaceGoal (#1498 <https://github.com/ros-planning/moveit/issues/1498>)
  * [feature] python MoveGroupInterface: Added custom time limit for wait_for_servers() (#1444 <https://github.com/ros-planning/moveit/issues/1444>)
  * [maint]   Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint]   Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint]   Improve Python 3 compatibility (#1870 <https://github.com/ros-planning/moveit/issues/1870>)
    * Replaced StringIO with BytesIO for python msg serialization
    * Use py_bindings_tools::ByteString as byte-based serialization buffer on C++ side
  * [feature] Export moveit_py_bindings_tools library
  * [maint]   Fix various build issues on Windows
    * Use .pyd as the output suffix for Python module on Windows. (#1637 <https://github.com/ros-planning/moveit/issues/1637>)
    * Favor ros::Duration.sleep over sleep. (#1634 <https://github.com/ros-planning/moveit/issues/1634>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [maint]   Updated deprecation method: MOVEIT_DEPRECATED -> [[deprecated]] (#1748 <https://github.com/ros-planning/moveit/issues/1748>)
  * [maint]   eigenpy: switched to system package (#1737 <https://github.com/ros-planning/moveit/issues/1737>)
  * [featue]  PlanningSceneInterface: wait for its two services
  * [feature] Select time parametrization algorithm in retime_trajectory (#1508 <https://github.com/ros-planning/moveit/issues/1508>)
  * Contributors: Bjar Ne, Felix von Drigalski, Kunal Tyagi, Luca Rinelli, Masaki Murooka, Michael Görner, Niklas Fiedler, Robert Haschke, Sean Yen, Yu, Yan, mvieth, v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 26 Apr 2020 06:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.2-1stretch) stretch; urgency=high

  * [maintenance] Removed unnecessary null pointer checks on deletion (#1410 <https://github.com/ros-planning/moveit/issues/1410>)


=== debian/control ===
Source: ros-melodic-moveit-ros-planning-interface
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, python-catkin-pkg, python-dev, ros-melodic-actionlib, ros-melodic-catkin, ros-melodic-eigen-conversions, ros-melodic-eigenpy, ros-melodic-geometry-msgs, ros-melodic-moveit-msgs, ros-melodic-moveit-resources-fanuc-moveit-config, ros-melodic-moveit-resources-panda-moveit-config, ros-melodic-moveit-ros-manipulation, ros-melodic-moveit-ros-move-group, ros-melodic-moveit-ros-planning, ros-melodic-moveit-ros-warehouse, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-tf2, ros-melodic-tf2-eigen, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-melodic-moveit-ros-planning-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-dev, ros-melodic-actionlib, ros-melodic-eigenpy, ros-melodic-geometry-msgs, ros-melodic-moveit-msgs, ros-melodic-moveit-ros-manipulation, ros-melodic-moveit-ros-move-group, ros-melodic-moveit-ros-planning, ros-melodic-moveit-ros-warehouse, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-tf2, ros-melodic-tf2-eigen, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Description: Components of MoveIt! that offer simpler interfaces to planning and execution

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-moveit-ros-planning-interface//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-moveit-ros-planning-interface 1.0.11

=== debian/changelog ===
ros-melodic-moveit-ros-planning-interface (1.0.11-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.10-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.9-1bionic) bionic; urgency=high

  * Use mailto:moveit-resources@master (#2951 <https://github.com/ros-planning/moveit/issues/2951>)
    
      * Simplify launch files to use the test_environment.launch files from mailto:moveit_resources@master
      * Provide compatibility to the Noetic-style configuration of (multiple) planning pipelines
        Only a single pipeline can be used at a time, specified via the ~default_planning_pipeline parameter.
    
  * Add missing noexcept declarations (#3016 <https://github.com/ros-planning/moveit/issues/3016>)
  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * Revert "Fix scaling factor parameter names" (#2907 <https://github.com/ros-planning/moveit/issues/2907>)
  * Contributors: Michael Görner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 08 Jan 2022 23:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.8-1bionic) bionic; urgency=high

  * planning_interface: synchronize async interfaces in test (#2640 <https://github.com/ros-planning/moveit/issues/2640>)
  * Print an error indicating that the planning pipelines are empty before returning (#2639 <https://github.com/ros-planning/moveit/issues/2639>)
  * Fix docstring in MGI API (#2626 <https://github.com/ros-planning/moveit/issues/2626>)
  * Enable mesh filter (#2448 <https://github.com/ros-planning/moveit/issues/2448>)
  * add get_active_joint_names (#2533 <https://github.com/ros-planning/moveit/issues/2533>)
  * Improve robustness of move group interface test (#2484 <https://github.com/ros-planning/moveit/issues/2484>)
  * Fix scaling factor parameter names (#2452 <https://github.com/ros-planning/moveit/issues/2452>)
  * Contributors: Luc Bettaieb, Boston Cleek, Jafar Abdi, Michael Görner, Peter Mitrano, Shota Aoki, Tyler Weaver

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 May 2021 22:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.7-1bionic) bionic; urgency=high

  * [feature] Python interface improvements. (#2356 <https://github.com/ros-planning/moveit/issues/2356>)
  * [feature] moveit_cpp: more informative error message, cover another potential failure condition. (#2336 <https://github.com/ros-planning/moveit/issues/2336>)
  * [feature] Unit Test for ByteString-based ROS msg conversion (#2362 <https://github.com/ros-planning/moveit/issues/2362>)
  * [feature] Make GILReleaser exception-safe (#2363 <https://github.com/ros-planning/moveit/issues/2363>)
  * [feature] Added GILRelease to pick and place (#2272 <https://github.com/ros-planning/moveit/issues/2272>)
  * [feature] Add missing variants of place from list of PlaceLocations and Poses in the python interface (#2231 <https://github.com/ros-planning/moveit/issues/2231>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: AndyZe, Bjar Ne, Felix von Drigalski, Gerard Canal, Peter Mitrano, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.6-1bionic) bionic; urgency=high

  * [maint]   Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint]   Migrate to clang-format-10, Fix warnings
  * [maint]   Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * [feature] Exposed parameter wait_for_servers and getPlannerId() API in MoveGroup's Python API (#2201 <https://github.com/ros-planning/moveit/issues/2201>)
  * Contributors: Gerard Canal, Markus Vieth, Robert Haschke, Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.5-1bionic) bionic; urgency=high

  * [maint]   Remove dependency on panda_moveit_config (#2194 <https://github.com/ros-planning/moveit/issues/2194>`_, #2197 <https://github.com/ros-planning/moveit/issues/2197>`_)
  * [maint]   Adapt linking to eigenpy (#2118 <https://github.com/ros-planning/moveit/issues/2118>)
  * [maint]   Replace robot_model and robot_state namespaces with moveit::core (#2135 <https://github.com/ros-planning/moveit/issues/2135>)
  * [feature] PlanningComponent: Load plan_request_params (#2033 <https://github.com/ros-planning/moveit/issues/2033>)
  * [feature] MoveItCpp: a high-level C++ planning API (#1656 <https://github.com/ros-planning/moveit/issues/1656>)
  * [fix]     Validate action client pointer before access
  * [fix]     Wait and check for the grasp service
  * [maint]   Add tests for move_group interface (#1995 <https://github.com/ros-planning/moveit/issues/1995>)
  * Contributors: AndyZe, Henning Kayser, Jafar Abdi, Michael Görner, Robert Haschke, Tyler Weaver, Yeshwanth

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Jul 2020 22:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.4-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 29 May 2020 22:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.3-1bionic) bionic; urgency=high

  * [feature] MoveGroupInterface: Add execution methods for moveit_msgs::RobotTrajectory (#1955 <https://github.com/ros-planning/moveit/issues/1955>)
  * [feature] Allow to instantiate a PlanningSceneInterface w/ and w/o a running move_group node
  * [fix]     Release Python GIL for C++ calls (#1947 <https://github.com/ros-planning/moveit/issues/1947>)


=== debian/control ===
Source: ros-melodic-moveit-ros-planning-interface
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, python-catkin-pkg, python-dev, ros-melodic-actionlib, ros-melodic-catkin, ros-melodic-eigen-conversions <!nocheck>, ros-melodic-eigenpy, ros-melodic-geometry-msgs, ros-melodic-moveit-msgs, ros-melodic-moveit-resources-fanuc-moveit-config <!nocheck>, ros-melodic-moveit-resources-panda-moveit-config <!nocheck>, ros-melodic-moveit-ros-manipulation, ros-melodic-moveit-ros-move-group, ros-melodic-moveit-ros-planning, ros-melodic-moveit-ros-warehouse, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest <!nocheck>, ros-melodic-tf2, ros-melodic-tf2-eigen, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-melodic-moveit-ros-planning-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-dev, ros-melodic-actionlib, ros-melodic-eigenpy, ros-melodic-geometry-msgs, ros-melodic-moveit-msgs, ros-melodic-moveit-ros-manipulation, ros-melodic-moveit-ros-move-group, ros-melodic-moveit-ros-planning, ros-melodic-moveit-ros-warehouse, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-tf2, ros-melodic-tf2-eigen, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Description: Components of MoveIt! that offer simpler interfaces to planning and execution

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
